Retrieve all images

Fetches all images associated with an app

GET/api/v1/{team_slug}/{app_slug}/images
API
Management
Updated
Apr 26, 2026

management-api:GET:/api/v1/{team_slug}/{app_slug}/images

Fetches all images associated with an app

API ownership

  • API family: Management API
  • Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
  • Do not use from: Browser-only storefront code or public clients.
  • Guide route: /apis/management/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/images
  • Summary: Retrieve all images
  • Description: Fetches all images associated with an app
  • OpenAPI contract: management-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters8 parameters
NameInRequiredTypeDescription
app_slugpathYesstringApp slug
team_slugpathYesstringTeam slug
attribute_idqueryNostring[]Filter by attribute IDs
searchqueryNostringSearch by filename
sort-orderqueryNostringSort order. Should be one of ASC or DESC. Default DESC
sort-keyqueryNostringThe key to sort on. Can be one of created_at, updated_at, title, and alt (Default is created_at)
pagequeryNointegerPage number (default is 1)
per-pagequeryNointegerAmount of images per page. Minimum 0 and max 100 (default is 20)
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses2 statuses
StatusDescriptionContent
200List of app imagesapplication/json (object)
401Unauthorized accessapplication/json (object)

200 - object

Images Response

PropertyTypeRequiredDetails
dataobject[]No-
successbooleanNo-
totalintegerNo-
total_pagesintegerNo-
Image
PropertyTypeRequiredDetails
altstringNo-
app_idstringNo-
attributesobject[]No-
blurhashstringNo-
copyrightstringNo-
customobjectNo-
folder_idstringNo-
idstringNo-
parent_idstringNo-
publicbooleanNo-
source_app_idstringNo-
source_idstringNo-
statusstringNo-
titlestringNo-
translationsobjectNo-
urlstringNo-
Attribute
PropertyTypeRequiredDetails
created_atstringNo-
descriptionstringNo-
filterablebooleanNo-
idstringNo-
keystringNo-
namestringNo-
template_keystringNo-
template_namestringNo-
translatablebooleanNo-
translationsobjectNo-
updated_atstringNo-
valuesobjectNo-
Image Translation
PropertyTypeRequiredDetails
altobject[]No-
copyrightobject[]No-
titleobject[]No-
{
  "data": [
    {
      "alt": "string",
      "app_id": "string",
      "attributes": [
        {
          "created_at": null,
          "description": null,
          "filterable": null,
          "id": null,
          "key": null,
          "name": null,
          "template_key": null,
          "template_name": null,
          "translatable": null,
          "translations": null,
          "updated_at": null,
          "values": null
        }
      ],
      "blurhash": "string",
      "copyright": "string",
      "custom": {},
      "folder_id": "string",
      "id": "string",
      "parent_id": "string",
      "public": false,
      "source_app_id": "string",
      "source_id": "string",
      "status": "string",
      "title": "string",
      "translations": {
        "alt": [],
        "copyright": [],
        "title": []
      },
      "url": "string"
    }
  ],
  "success": false,
  "total": 0,
  "total_pages": 0
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Management API
  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/images
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Images
  • OpenAPI summary: Retrieve all images

Retrieve all images

# Retrieve all images Fetches all images associated with an app
GET /api/v1/{team_slug}/{app_slug}/images
Purpose

Fetches all images associated with an app

Required inputs

app_slug path team_slug path

Primary response

200 ยท List of app images

Operation key

management-api:GET:/api/v1/{team_slug}/{app_slug}/images

## API ownership - API family: Management API - Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data. - Do not use from: Browser-only storefront code or public clients. - Guide route: [/apis/management/latest](/apis/management/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/images` - Summary: Retrieve all images - Description: Fetches all images associated with an app - OpenAPI contract: management-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/images` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_slug | path | Yes | string | App slug | | team_slug | path | Yes | string | Team slug | | attribute_id | query | No | string[] | Filter by attribute IDs | | search | query | No | string | Search by filename | | sort-order | query | No | string | Sort order. Should be one of ASC or DESC. Default DESC | | sort-key | query | No | string | The key to sort on. Can be one of `created_at`, `updated_at`, `title`, and `alt` (Default is `created_at`) | | page | query | No | integer | Page number (default is 1) | | per-page | query | No | integer | Amount of images per page. Minimum 0 and max 100 (default is 20) | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | List of app images | application/json (object) | | 401 | Unauthorized access | application/json (object) | ### 200 - object #### Images Response | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object[] | No | - | | `success` | boolean | No | - | | `total` | integer | No | - | | `total_pages` | integer | No | - | ##### Image | Property | Type | Required | Details | | --- | --- | --- | --- | | `alt` | string | No | - | | `app_id` | string | No | - | | `attributes` | object[] | No | - | | `blurhash` | string | No | - | | `copyright` | string | No | - | | `custom` | object | No | - | | `folder_id` | string | No | - | | `id` | string | No | - | | `parent_id` | string | No | - | | `public` | boolean | No | - | | `source_app_id` | string | No | - | | `source_id` | string | No | - | | `status` | string | No | - | | `title` | string | No | - | | `translations` | object | No | - | | `url` | string | No | - | ##### Attribute | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `description` | string | No | - | | `filterable` | boolean | No | - | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - | | `template_key` | string | No | - | | `template_name` | string | No | - | | `translatable` | boolean | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `values` | object | No | - | ##### Image Translation | Property | Type | Required | Details | | --- | --- | --- | --- | | `alt` | object[] | No | - | | `copyright` | object[] | No | - | | `title` | object[] | No | - |
Generated example (synthetic) ```json { "data": [ { "alt": "string", "app_id": "string", "attributes": [ { "created_at": null, "description": null, "filterable": null, "id": null, "key": null, "name": null, "template_key": null, "template_name": null, "translatable": null, "translations": null, "updated_at": null, "values": null } ], "blurhash": "string", "copyright": "string", "custom": {}, "folder_id": "string", "id": "string", "parent_id": "string", "public": false, "source_app_id": "string", "source_id": "string", "status": "string", "title": "string", "translations": { "alt": [], "copyright": [], "title": [] }, "url": "string" } ], "success": false, "total": 0, "total_pages": 0 } ```
### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Management API - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/images` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/images` - OpenAPI tag: Images - OpenAPI summary: Retrieve all images